GET /search/{query}
Summary: Search for objects
Operation ID: search
Auth: unknown
Operation ID: search
Auth: unknown
Description
Search for SBOL objects by various criteria. Returns matching components, modules, collections, etc.
Parameters (3)
limit
(integer, query, optional, default: 50)
Maximum number of results to return
offset
(integer, query, optional, default: 0)
Offset for pagination
query
(string, path, required)
Search query in format 'key=value&key2=value2'. Common keys: name, displayId, objectType, description, role, collection
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for GFP parts | curl |
https://synbiohub.org/search/GFP |
|
| Search for promoters with increased result limit | curl |
https://synbiohub.org/search/promoter?limit=20 |
|
| Search for plasmids with pagination | curl |
https://synbiohub.org/search/plasmid?limit=5&offset=10 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:15:39.198821 | 200 | 914ms | |
| 2026-03-23 09:37:45.442932 | 200 | 1004ms | |
| 2026-03-23 09:02:01.102666 | 200 | 845ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:37:45.442932 | fedec192208b |
cff41d0a3d2a |
| 2026-03-23 10:15:39.198821 | cff41d0a3d2a |
a4ba862ca5f8 |